Bug 857766 - [RFE] Let users exclude specific projects from TM results
[RFE] Let users exclude specific projects from TM results
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.7
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Luke Brooker
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 19:28 EDT by Yuko Katabami
Modified: 2016-04-18 05:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:32:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yuko Katabami 2012-09-16 19:28:10 EDT
Description of problem:
TM shows strings from older projects that can no longer be used due to inadequate translation / out-of-date information.
I am just wondering if you could implement a feature to make user-specified projects inactive in TM so that the strings from those projects will not be included in TM.
This will limit number of candidates in TM, making us easier to choose the most adequate string.

Version-Release number of selected component (if applicable): 1.7


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Runa Bhattacharjee 2012-11-26 13:21:35 EST
I am a little sceptical about having this implemented. Reason being, even if projects are older, the translations do not go out of date unless the original strings are heavily modified to mean something completely different from their earlier version. In which case, they would automatically be eliminated from the TM due to an inadequate match. 

Yuko, would you have any specific usecases that we could use to fully estimate the impact of this feature?  Thanks.
Comment 2 Yuko Katabami 2012-11-26 17:08:20 EST
In our case (RHEV translation ja-JP), we get multiple of 100% (or close to 100%) matches. In some cases more than 5.
Older translation often contains errors or terminology usage in translation has been changed that are not easily identified. It takes a long time to sort out these to find the right version we need to use. It would increase our efficiency if we can switch off TM results from certain projects in the past. It does not have to be permanet switch off.
Comment 3 David Mason 2012-12-03 23:06:54 EST
Yuko, would sorting the 100% results by date (most recently translated first) be useful in this case?
Comment 4 Yuko Katabami 2012-12-04 00:06:35 EST
Hi David,
I spoke with a few other translators who are also willing this feature to be introduced. We agreed that we still prefer to hide those unwanted project results in TM, rather than listing them lower in the list for the following reasons:
 - If TM results from unwanted projects are listed, we still have to check the result to see where they are from.
 - Unwanted projects that we want to hide are not always the older projects. Sometimes we may want to hide projects of different products, which can be relatively new.
Comment 5 Ding-Yi Chen 2014-03-18 01:51:28 EDT
The UI for inputting the excluding projects might not fit in current TM panel.

Perhaps a new TM page is required for this purpose.
Comment 6 Michelle Kim 2015-02-25 00:34:29 EST
Luke will investigate UI details how we can implement this feature.
Comment 7 Zanata Migrator 2015-07-28 23:32:28 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-314

Note You need to log in before you can comment on or make changes to this bug.